"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function OnChange(observer) {
    var _cachedValue;
    return function (target, key) {
        Object.defineProperty(target, key, {
            set: function (value) {
                _cachedValue = value;
                observer.call(this, _cachedValue);
            },
            get: function () {
                return _cachedValue;
            },
        });
    };
}
exports.OnChange = OnChange;
